Package groovy.xml.markupsupport

# Class SurrogateToUndefined

java.lang.Object
groovy.xml.markupsupport.SurrogateToUndefined

All Implemented Interfaces:
  `Function<Character,Optional<String>>`

public class SurrogateToUndefined extends Object implements Function<Character,Optional<String>>
Convert surrogate chars to XML undefined character.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SurrogateToUndefined()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<String>`
  `apply(Character ch)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Function

  `andThen, compose`

- ## Constructor Details

  - ### SurrogateToUndefined

    public SurrogateToUndefined()

- ## Method Details

  - ### apply

    public Optional<String> apply(Character ch)
    Specified by:
      `apply` in interface `Function<Character,Optional<String>>`